Xeonr Developer Docs
API SpecificationBuckets

Reprocess bucket

POST
/uplim.api.v1.BucketsService/ReprocessBucket

Reprocesses uploads in a bucket to regenerate thumbnails, AI metadata, or other derived data. Admin only.

Authorization

OAuth2 upl:admin
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:admin

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?|

Reference to a bucket by ID or hostname

folderRef?|null
force?force

Force these factors to run (skip_when_current=false).

uploadId?upload_id
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/ReprocessBucket" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "countReprocessed": 0
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}